/*

*/

/**
This package implements a
<a href="https://en.wikipedia.org/wiki/Interpreter_(computing)#Abstract_syntax_tree_interpreters">tree walking interpreter</a>
for Language_1.
<p>
After a {@link String} from Language_1 has been parsed into an
<a href="https://en.wikipedia.org/wiki/Abstract_syntax_tree">abstract syntax tree</a>,
the file {@link EvaluateAST} does a
<a href="https://en.wikipedia.org/wiki/Tree_traversal#Post-order,_LRN">post-order traversal</a>
of the AST in order to evaluate the expression represented by the AST.
<p>
The {@link Value} of an expression can be either a integer or a boolean value.
<p>
The file {@link AST2infix} converts an abstract syntax tree into infix notation (like Java/JavaScript/C/C++).
*/
package language1;
